/*
  $Id: custom_export.sql 17 2009-05-20 10:28:30Z dietmar.aust $

  Purpose  : Remove unwanted objects from the object table for a custom export
                          
  $LastChangedDate: 2009-05-20 12:28:30 +0200 (Mi, 20. Mai 2009) $
  $LastChangedBy: dietmar.aust $ 

  Date        Author          Comment
  -------------------------------------------------------------------------------------------
  03.05.2009  D. Aust         Initial creation

*/

prompt *** empty file custom_export.sql executed ...

/*
prompt ********************************************************************
prompt *** Remove unwanted export object from xlib_ddl_statements table ***
prompt ********************************************************************
DELETE FROM xlib_ddl_statements
      WHERE ddl_object_name IN (
                       SELECT object_name
                         FROM user_objects
                        WHERE object_name LIKE 'AQ$%'
                              OR object_name LIKE 'AE%'
                              or (object_name like 'SYS_%' and object_type = 'TYPE')
                              or (object_name in ('CREATE$JAVA$LOB$TABLE', 'AQ_SHDB_EVENTS')))
         OR ddl_base_object IN (
                       SELECT object_name
                         FROM user_objects
                        WHERE object_name LIKE 'AQ$%'
                              OR object_name LIKE 'AE%'
                              or (object_name like 'SYS_%' and object_type = 'TYPE')
                              or (object_name in ('CREATE$JAVA$LOB$TABLE', 'AQ_SHDB_EVENTS')))
/

prompt *** remove database links
delete
  FROM   xlib_ddl_statements
 WHERE       ddl_object_type = 'DB_LINK'
         AND ddl_object_name NOT LIKE 'MIG_SRC%'
/

prompt *** remove database jobs, will be installed manually
delete
  from  xlib_ddl_statements
 where ddl_object_type = 'JOB'
/
*/

exit;
