/*
  $Id: spool_object_group.sql 11 2008-10-14 20:10:50Z dietmar.aust $

  Purpose  : Spool statements from xlib_ddl_statements into the filesystem
                          
  $LastChangedDate: 2008-10-14 22:10:50 +0200 (Di, 14. Okt 2008) $
  $LastChangedBy: dietmar.aust $ 

  Date        Author          Comment
  -------------------------------------------------------------------------------------------
  26.07.2008  D. Aust         Initial creation
  10.10.2008  D. Aust         Fix for long packages: set long 900000

*/

DEFINE EXPORT_DIR="&&1"
DEFINE DIR="&&2"
DEFINE FILENAME="&&3"


set arraysize 2    
set feedback off
set heading off
-- removes the leading newline before the report
set embedded on
set verify off	   
set termout off
set pagesize 0
set long 900000
set linesize 2000
set trimspool on
set echo off
set timing off


column ddl_text format a2000

prompt export &&EXPORT_DIR/&&DIR/&&FILENAME

spool &&EXPORT_DIR/&&DIR/&&FILENAME

SELECT replace(ddl_text, '"".', null) ddl_text 
  FROM xlib_ddl_export_v
 WHERE dir='&&DIR' and filename='&&FILENAME'
 order by ddl_id;
 
spool off;
set termout on;

